FileProgressBar {R.utils} | R Documentation

## A progress bar that sets the size of a file accordingly

### Description

Package: R.utils
Class FileProgressBar

`Object`
`~~|`
`~~+--``ProgressBar`
`~~~~~~~|`
`~~~~~~~+--``FileProgressBar`

Directly known subclasses:

public static class FileProgressBar
extends ProgressBar

### Usage

    FileProgressBar(pathname=NULL, ...)

### Arguments

`pathname` | The pathname of the output file.
`...` | Other arguments accepted by the `ProgressBar` constructor.

### Details

A progress bar that sets the size of a file accordingly. This class useful to check the progress of a batch job by just querying the size of a file, for instance, via ftp.

### Fields and Methods

Methods:

| `cleanup` | Removes the progress file for a file progress bar.
| `update` | Updates file progress bar.

Methods inherited from ProgressBar:
as.character, getBarString, increase, isDone, reset, setMaxValue, setProgress, setStepLength, setTicks, setValue, update

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

### Examples

      ## Not run:

    # Creates a progress bar (of length 100) that displays it self as a file.
    pb <- FileProgressBar("~/progress.simulation")
    reset(pb)
    while (!isDone(pb)) {
      x <- rnorm(3e4)
      increase(pb)
      # Emulate a slow process
      if (interactive()) Sys.sleep(0.1)
      Sys.sleep(0.01)
    }

    ## End(Not run)

[Package R.utils version 2.6.0 Index]